/*
 * Profil Dropdown
 *
 * Index
 * - Dropdown
 * - Dropdown menu
 */

/**
 * @prop --margin-top: Top margin of the menu
 */

/* PROFIL DROPDOWN
 -------------------- */

:host {
  --margin-top: 0.5rem;
  display: block;
  font-size: var(--road-font-size-16);
}

.dropdown {
  position: relative;
  width: max-content;
  font-family: var(--road-font);
}

.dropdown summary {
  display: block;
  width: 3.5rem;
  cursor: pointer;
  border-radius: 3rem;
  outline: none;
}

.dropdown summary:focus,
.dropdown summary.focus-visible,
.dropdown summary:focus-within{
  box-shadow: 0 0 0 4px var(--road-primary-80);
}

.dropdown summary::-webkit-details-marker { /* remove native arrow */
  display: none;
}

.dropdown-button{
  position: relative;
  z-index: 1;
  height: 3.5rem;
  cursor: pointer;
  border-radius: 0.25rem;
}

.dropdown-button:hover{
  background: var(--road-grey-200);
}

/**
 * Open state
 */

.dropdown[open] .dropdown-menu {
  transform: scaleY(1);
}

.dropdown[open] .dropdown-menu.direction-top {
  position: absolute;
  bottom: 0;
  left: 0;
  transform: translate3d(0, -56px, 0);
  will-change: transform;
}

/* MENU
-------------------- */

.dropdown-menu {
  position: absolute;
  top: 0;
  left: 5.5rem;
  z-index: 2;
  display: flex;
  flex-direction: column;
  min-width: 16.875rem;
  padding: 0.5rem 0;
  color: var(--road-on-surface);
  background: var(--road-surface);
  border: 1px solid;
  border-color: var(--road-outline-weak);
  border-radius: 0.25rem;
  box-shadow: var(--road-elevation-low);
  transition: transform 0.2s ease-in-out;
  transform: scaleY(0);
  transform-origin: 0 0;
}

/* ITEM
 -------------------- */

road-item {
  font-size: var(--road-button-medium);
}

.profil-item {
  display: flex;
  padding-bottom: 1rem;
  margin: 1rem;
  cursor: auto;
  border-bottom: 1px solid var(--road-outline);
}

.profil-item-info {
  display: flex;
  flex-direction: column;
  margin-left: 1rem;
  text-align: left;
}

.profil-item-info-name {
  font-weight: 700;
}


.profil-item road-avatar:hover{
  box-shadow: none;
}

.dropdown-item {
  display: flex;
  align-items: center;
  min-height: 40px;
  padding: 0 1rem;
  font-size: var(--road-button-medium);
  line-height: 1.5;
  color: var(--road-on-surface);
  text-align: left;
  text-decoration: none;
  cursor: pointer;
  background: var(--road-surface);
  border: none;
  outline: none;
}

.dropdown-item-border {
  border-color: var(--road-outline);
  border-bottom: 1px solid;
}

.dropdown-item road-icon{
  margin-right: 0.7rem;
}

/**
 * Hover state
 */

road-item:hover:first-child,
road-item.focus-visible:first-child {
  background: none;
}

road-item:hover,
road-item.focus-visible {
  background: var(--road-surface-inverse);
}
